%define anolis_release 2

Name:           lohit-devanagari-fonts
Version:        2.95.4
Release:        %{anolis_release}%{?dist}
Summary:        Free Devanagari Script Font
License:        OFL
URL:            https://pagure.io/lohit
Source0:        https://releases.pagure.org/lohit/lohit-devanagari-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  python3-devel fontpackages-devel
BuildRequires:  ttfautohint fontforge >= 20080429

Requires:       fontpackages-filesystem

BuildArch:      noarch

%description
This package provides a free Devanagari Script TrueType/OpenType font.

%package doc
Summary:    Documentation files for %{name}
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n lohit-devanagari-%{version}

%build
%make_build ttf %{?_smp_mflags}

%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p 66-lohit-devanagari.conf \
        %{buildroot}%{_fontconfig_templatedir}/65-1-lohit-devanagari.conf

install -m 0644 -p 59-lohit-devanagari.conf \
        %{buildroot}%{_fontconfig_templatedir}/59-lohit-devanagari.conf

ln -s %{_fontconfig_templatedir}/65-1-lohit-devanagari.conf \
      %{buildroot}%{_fontconfig_confdir}/65-1-lohit-devanagari.conf

ln -s %{_fontconfig_templatedir}/59-lohit-devanagari.conf \
      %{buildroot}%{_fontconfig_confdir}/59-lohit-devanagari.conf

# Add AppStream metadata
install -Dm 0644 -p io.pagure.lohit.devanagari.font.metainfo.xml \
       %{buildroot}%{_datadir}/metainfo/io.pagure.lohit.devanagari.font.metainfo.xml

%files
%license COPYRIGHT OFL.txt
%config %{_sysconfdir}/fonts/conf.d/59-lohit-devanagari.conf
%config %{_sysconfdir}/fonts/conf.d/65-1-lohit-devanagari.conf
%config %{_fontconfig_templatedir}/59-lohit-devanagari.conf
%config %{_fontconfig_templatedir}/65-1-lohit-devanagari.conf
%{_datadir}/metainfo/io.pagure.lohit.devanagari.font.metainfo.xml
%dir /usr/share/fonts/%{name}
%{_datadir}/fonts/%{name}/Lohit-Devanagari.ttf

%files doc
%doc ChangeLog AUTHORS README test-devanagari.txt

%changelog
* Tue Apr 18 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 2.95.4-2
- Optimise spec file

* Thu Apr 14 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2.95.4-1
- Init package from upstream v2.95.4
